Loading...
Searching...
No Matches
IterTraits< NodeT, typename NodeT::ValueOnIter > Struct Template Reference

`#include <openvdb/tree/TreeIterator.h>`

## Classes

struct | NodeConverter

## Public Types

using | IterT = typename NodeT::ValueOnIter

## Static Public Member Functions

static IterT | begin (NodeT &node)
static ChildT * | getChild (const typename NodeT::ValueOnIter &)

## Member Typedef Documentation

## IterT

template<typename NodeT>

using IterT = typename NodeT::ValueOnIter

## Member Function Documentation

## begin()

template<typename NodeT>

IterT begin | ( | NodeT & | node | ) |

inline static

## getChild()

ChildT * getChild | ( | const typename NodeT::ValueOnIter & |  | ) |

inline static